## gtkpsfont

gtkpsfont

## Synopsis

    #include <gtkextra.h>

                        GtkPSFont;
    gint                gtk_psfont_init                     ();
    void                gtk_psfont_unref                    ();
    GtkPSFont*          gtk_psfont_get_by_name              (const gchar *name);
    GtkPSFont*          gtk_psfont_get_by_family            (const gchar *family,
                                                             gboolean italic,
                                                             gboolean bold);
    GdkFont*            gtk_psfont_get_gdkfont              (GtkPSFont *font,
                                                             gint height);
    PangoFontDescription* gtk_psfont_get_font_description   (GtkPSFont *font,
                                                             gint height);
    const gchar *       gtk_psfont_get_psfontname           (GtkPSFont *psfont);
    void                gtk_psfont_add_font                 (const char *fontname,
                                                             const gchar *psname,
                                                             const gchar *family,
                                                             const gchar *pango_string,
                                                             gboolean italic,
                                                             gboolean bold);
    void                gtk_psfont_add_i18n_font            (const char *fontname,
                                                             const gchar *psname,
                                                             const gchar *family,
                                                             const gchar *i18n_latinfamily,
                                                             const gchar *pango_string,
                                                             gboolean italic,
                                                             gboolean bold,
                                                             gboolean vertical);
    void                gtk_psfont_get_families             (GList **family,
                                                             gint *numf);
    void                gtk_psfont_get_char_size            (GtkPSFont *psfont,
                                                             GdkFont *font,
                                                             GdkFont *latin_font,
                                                             GdkWChar wc,
                                                             gint *width,
                                                             gint *ascent,
                                                             gint *descent);

## Description

## Details

### GtkPSFont

    typedef struct {
      gchar *fontname;
      gchar *psname;
      gchar *family;
      gchar *pango_description;
      gchar *i18n_latinfamily;
      gboolean italic;
      gboolean bold;
      gboolean vertical;
    } GtkPSFont;

### gtk_psfont_init ()

    gint                gtk_psfont_init                     ();

Returns : |

### gtk_psfont_unref ()

    void                gtk_psfont_unref                    ();

### gtk_psfont_get_by_name ()

    GtkPSFont*          gtk_psfont_get_by_name              (const gchar *name);

`name` : |
Returns : |

### gtk_psfont_get_by_family ()

    GtkPSFont*          gtk_psfont_get_by_family            (const gchar *family,
                                                             gboolean italic,
                                                             gboolean bold);

`family` : |
`italic` : |
`bold` : |
Returns : |

### gtk_psfont_get_gdkfont ()

    GdkFont*            gtk_psfont_get_gdkfont              (GtkPSFont *font,
                                                             gint height);

`font` : |
`height` : |
Returns : |

### gtk_psfont_get_font_description ()

    PangoFontDescription* gtk_psfont_get_font_description   (GtkPSFont *font,
                                                             gint height);

`font` : |
`height` : |
Returns : |

### gtk_psfont_get_psfontname ()

    const gchar *       gtk_psfont_get_psfontname           (GtkPSFont *psfont);

`psfont` : |
Returns : |

### gtk_psfont_add_font ()

    void                gtk_psfont_add_font                 (const char *fontname,
                                                             const gchar *psname,
                                                             const gchar *family,
                                                             const gchar *pango_string,
                                                             gboolean italic,
                                                             gboolean bold);

`fontname` : |
`psname` : |
`family` : |
`pango_string` : |
`italic` : |
`bold` : |

### gtk_psfont_add_i18n_font ()

    void                gtk_psfont_add_i18n_font            (const char *fontname,
                                                             const gchar *psname,
                                                             const gchar *family,
                                                             const gchar *i18n_latinfamily,
                                                             const gchar *pango_string,
                                                             gboolean italic,
                                                             gboolean bold,
                                                             gboolean vertical);

`fontname` : |
`psname` : |
`family` : |
`i18n_latinfamily` : |
`pango_string` : |
`italic` : |
`bold` : |
`vertical` : |

### gtk_psfont_get_families ()

    void                gtk_psfont_get_families             (GList **family,
                                                             gint *numf);

`family` : |
`numf` : |

### gtk_psfont_get_char_size ()

    void                gtk_psfont_get_char_size            (GtkPSFont *psfont,
                                                             GdkFont *font,
                                                             GdkFont *latin_font,
                                                             GdkWChar wc,
                                                             gint *width,
                                                             gint *ascent,
                                                             gint *descent);

`psfont` : |
`font` : |
`latin_font` : |
`wc` : |
`width` : |
`ascent` : |
`descent` : |